package svc

import (
	"github.com/zeromicro/go-queue/rabbitmq"
	"microGame/app/mq/cmd/rabbitmq/internal/config"
)

type ServiceContext struct {
	Config      config.Config
	RabbitAdmin *rabbitmq.Admin
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:      c,
		RabbitAdmin: rabbitmq.MustNewAdmin(c.RabbitConf),
	}
}
